<div class="info-container" *ngIf="metadata">
  <div class="leftside">
    <div class="info-section">
      <span class="info-title">
        Description
      </span>
      <p class="abstract" [innerHTML]="abstract"></p>
    </div>
    <app-info-summary class="mobile-section"></app-info-summary>

    <div class="info-section">
      <span class="info-title" i18n="@@dataset.info.legalContraints">
        Terms of use
      </span>
      <div *ngIf="isFr(); else englishLicense">
        <a class="link" [href]="license.urlFr" target="_blank" *ngIf="license.urlFr; else simpleLicenseNameFr">
          <span>{{ license.nameFr }}</span>
        </a><br>
        <span *ngIf="license.nameEn != license.nameFr">
          <a [href]="license.urlEn" target="_blank" *ngIf="license.urlEn; else simpleLicenseNameEn">
            <span>{{ license.nameEn }}</span>
          </a>
      </span>
      </div>
      <ng-template #englishLicense>
        <a class="link" [href]="license.urlEn" target="_blank" *ngIf="license.urlEn; else simpleLicenseNameEn">
          <span>{{ license.nameEn }}</span>
        </a><br>
        <span *ngIf="license.nameEn != license.nameFr">
          <a [href]="license.urlFr" target="_blank" *ngIf="license.urlFr; else simpleLicenseNameFr">
            <span>{{ license.nameFr }}</span>
          </a>
      </span>
      </ng-template>
      <ng-template #simpleLicenseNameFr>
        <span>{{ license.nameFr }}</span>
      </ng-template>
      <ng-template #simpleLicenseNameEn>
        <span>{{ license.nameEn }}</span>
      </ng-template>
    </div>

    <app-info-partners class="mobile-section"></app-info-partners>

    <div class="info-section" *ngIf="categories.length > 0">
      <span class="info-title" i18n="@@dataset.info.categories">
        Categories
      </span>
      <span class="categorie" *ngFor="let categorie of categories">{{ categorie }}</span>
    </div>

    <div class="info-section" *ngIf="parent.id && parent.title">
      <span class="info-title" i18n="@@dataset.info.parentDataset">
        Parent dataset
      </span>
      <div class="related-dataset">
        <div class="related-dataset-item">
          <img [src]="parent.imageUrl || './assets/img/vignette-collection.png'" alt="" aria-hidden="true"
            onerror="this.onerror=null;this.src='./assets/img/vignette-collection.png';this.alt='Default image'">
          <a class="link-without-decoration"
            [routerLink]="['/' + AppRoutes.datasets.uri + '/' + parent.slug+'/info']">{{parent.title}}</a>
        </div>
      </div>
    </div>
    <div class="info-section" *ngIf="children.length > 0">
      <span class="info-title" i18n="@@dataset.info.childrenDataset">
        Child datasets
      </span>
      <div class="related-dataset">
        <div class="related-dataset-item" *ngFor="let child of children">
          <img [src]="child.imageUrl || './assets/img/vignette-data.png'" alt="" aria-hidden="true"
            onerror="this.onerror=null;this.src='./assets/img/vignette-data.png';this.alt='Default image'">
          <a class="link-without-decoration"
            [routerLink]="['/' + AppRoutes.datasets.uri + '/' + child.slug+'/info']">{{child.title}}</a>
        </div>
      </div>
    </div>
    <div class="info-section">
      <span class="info-title" i18n="@@dataset.info.origin">
        Origin
      </span>
      <p [innerHTML]="lineage"></p>
    </div>

    <div class="info-section" *ngIf="geographicalInfo">
      <span class="info-title" i18n="@@dataset.info.geographicalInfo">
        Geographical information
      </span>
      <div class="columns">

        <div class="column is-narrow">
          <div class="geo-thumbnail">
            <ng-container *ngIf="metadata.image;else noImage">
              <img [src]="metadata.image.url" alt="" aria-hidden="true" (error)="setBackupImage()">
            </ng-container>
            <ng-template #noImage>
              <img src="./assets/img/vignette-data-geo.png" alt="No Image Dataset">
            </ng-template>
          </div>
        </div>
        <div class="column">
          <div class="geographical-info">
            <div class="info-subsection">
              <span class="info-subtitle" i18n="@@dataset.info.spacialRepresentation">
                Spacial representation type
              </span>
              <span>
                {{ geographicalInfo.representationType | titlecase }}
              </span>
            </div>

            <div class="info-subsection">
              <span class="info-subtitle" i18n="@@dataset.info.spatialExtent">
                Geographical extent
              </span>
              <p>
                {{ geographicalInfo.geographicalExtend.maxEast }}
              </p>
              <p>
                {{ geographicalInfo.geographicalExtend.maxWest }}
              </p>
              <p>
                {{ geographicalInfo.geographicalExtend.maxSouth }}
              </p>
              <p>
                {{ geographicalInfo.geographicalExtend.maxNorth }}
              </p>
            </div>
          </div>

          <div class="geographical-info">
            <div class="info-subsection" *ngIf="geographicalInfo.coordinatesSystem">
              <span class="info-subtitle" i18n="@@dataset.info.coordSystem">
                Coordinates system
              </span>
              <span>
                {{ geographicalInfo.coordinatesSystem }}
              </span>
            </div>

            <div class="info-subsection" *ngIf="geographicalInfo.scale != '1:'">
              <span class="info-subtitle" i18n="@@dataset.info.scale">
                Scale
              </span>
              <span>
                {{ geographicalInfo.scale }}
              </span>
            </div>

            <div class="info-subsection" *ngIf="geographicalInfo.resolution !='' ">
              <span class="info-subtitle" i18n="@@dataset.info.resolution">
                Resolution
              </span>
              <span>
                {{ geographicalInfo.resolution }}
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="keywords" class="info-section">
      <span class="info-title" i18n="@@dataset.info.keywords">
        Keywords
      </span>
      <span class="keywords" *ngFor="let keyword of keywords">{{ keyword }}</span>
    </div>

    <div id="territory" class="info-section">
      <span class="info-title" i18n="@@dataset.info.territory">
        Granularité territoriale
      </span>
      <span >{{ granularity }}</span>
    </div>


    <div id="attributes" class="info-section" *ngIf="metadata.hasWsLink()">
      <span class="info-title" i18n="@@dataset.info.attributes">
        Attributs
      </span>
      <app-info-attributes></app-info-attributes>
    </div>

    <div id="inspire_md_link" class="info-section">
      <span class="info-title" i18n="@@dataset.info.inspire_md_link">
        Lien vers la fiche détaillée
      </span>
      <div class="personnalized-url">
        <app-link-copy-icon [linkUrl]="metadataUrl" [linkToDisplay]="metadataUrl" [fileName]="fileName">
        </app-link-copy-icon>
      </div>
    </div>

    <div id="preco_usage" class="info-section">
      <span class="info-title" i18n="@@dataset.info.preco_usage">
        Préconisation d’usage
      </span>
      <span >{{ usageRecommandation }}</span>
    </div>


    <div class="info-section" *ngIf="statistics">
      <span class="info-title" i18n="@@dataset.info.dashboard">
        Dashboard
      </span>
      <div class="dashboard">
        <app-info-chart [statistics]="statistics"></app-info-chart>
      </div>
    </div>
  </div>
  <div class="rightside">
    <app-info-summary></app-info-summary>
    <app-info-partners></app-info-partners>
    <app-info-contact></app-info-contact>

  </div>
</div>
